Get capacity claim
curl --request GET \
--url https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacityClaim": {
"spec": {
"id": "<string>",
"name": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"capacityType": "CAPACITY_TYPE_CUSTOMER",
"zones": [
"<string>"
]
},
"organizationId": "<string>"
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_UNSPECIFIED",
"conditions": [
{
"type": "<string>",
"status": "STATUS_UNSPECIFIED",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"allocatedInstances": 123,
"pendingInstances": 123
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Get capacity claim
Fetch a single CapacityClaim by its UUID.
GET
/
v1alpha1
/
inference
/
capacityclaims
/
{id}
Get capacity claim
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
{id} with the CapacityClaim ID returned from
List capacity claims or Create capacity claim.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
Autorisations
CoreWeave API access token sent as a bearer token.
Paramètres de chemin
The unique identifier of the CapacityClaim to get, UUID format
Réponse
OK
Response for GetCapacityClaim
The CapacityClaim
Show child attributes
Show child attributes
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?